Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038689
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] C. Securityminorhave not tried2018-06-04 09:542018-06-08 12:59
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision270c8e805fb3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038689: It should not be possible to set as Automatic those Manual roles inheriting permissions

DescriptionIt should be avoided the possibility of changing manual roles that inherits permissions as automatic.
Steps To Reproduce1. Create a new template role "A". Give some permissions to it.
2. Create a new manual role "B". In the [Role Inheritance] tab, select "A" to inherits its permissions.
3. Change "B" as automatic.
4. Note that "B" has been granted will all permissions, but the permissions inherited from "A" are not marked as "inherited from". But still the role has the inheritance defined. This is inconsistent to the role definition.

Proposed SolutionAvoid saving the record in step 3.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0038659 closedalostale new roles should be manual by default 

-  Notes
(0104911)
hgbot (developer)
2018-06-04 12:45

Repository: erp/devel/pi
Changeset: 270c8e805fb35fbb299015c1215f2af0e5fbac70
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jun 04 12:30:03 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/270c8e805fb35fbb299015c1215f2af0e5fbac70 [^]

fixes bug 38689: Avoid setting as automatic a role that inherits permissions

---
M src-db/database/model/triggers/AD_ROLE_CHECK_TRG.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0104958)
hudsonbot (developer)
2018-06-05 17:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8317f2f73d00 [^]
Maturity status: Test
(0105038)
alostale (developer)
2018-06-08 12:59

reviewed + tested

- Issue History
Date Modified Username Field Change
2018-06-04 09:54 caristu New Issue
2018-06-04 09:54 caristu Assigned To => alostale
2018-06-04 09:54 caristu Modules => Core
2018-06-04 09:54 caristu Triggers an Emergency Pack => No
2018-06-04 09:54 caristu Issue generated from 0038659
2018-06-04 09:54 caristu Relationship added related to 0038659
2018-06-04 10:35 caristu Assigned To alostale => caristu
2018-06-04 10:35 caristu Status new => acknowledged
2018-06-04 11:27 caristu Status acknowledged => scheduled
2018-06-04 12:40 caristu Review Assigned To => alostale
2018-06-04 12:40 caristu Proposed Solution updated
2018-06-04 12:45 hgbot Checkin
2018-06-04 12:45 hgbot Note Added: 0104911
2018-06-04 12:45 hgbot Status scheduled => resolved
2018-06-04 12:45 hgbot Resolution open => fixed
2018-06-04 12:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/270c8e805fb35fbb299015c1215f2af0e5fbac70 [^]
2018-06-05 17:29 hudsonbot Checkin
2018-06-05 17:29 hudsonbot Note Added: 0104958
2018-06-08 12:59 alostale Note Added: 0105038
2018-06-08 12:59 alostale Status resolved => closed
2018-06-08 12:59 alostale Fixed in Version => 3.0PR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker